%function t = EvalFGT()
%EVALFGT Evaluate the Fast Gauss Transform.
%   EVALFGT evaluates the fast Gauss transform method. 
%   Supported  methods include:
%
%        'nearest'  (default) nearest neighbor interpolation
%
%        'bilinear' bilinear interpolation
%
%        'bicubic'  bicubic interpolation
%

%   Copyright 2002 Changjiang Yang  
%   $Revision: 0.99 $  $Date: Fri Jun  7 15:12:09 EDT 2002 $


D = 3;
N = 1000;
M = 1000;
epsilon = 1e-6;
p = 10;
h = 0.5;
K = 30;
e = 10;

u = rand(1, N);
x = rand(D, N);
y = rand(D, M);

v1 = dval(u,x,y,h);

v2 = fgt(u,x,y,h,p,K,e);

relative_err = max(abs((v1-v2)./v1))


return;

